/**
 * @file WriteProfile.h
 * @date 2010/04/10 新規作成
 * @author
 *
 * INIファイルパラメータ取得クラス
 */
#ifndef _WRITE_PROFILE_H_
#define _WRITE_PROFILE_H_

#include <string>

class WriteProfile{
public :
	WriteProfile(std::string path);
	ReturnValue writeInt(std::string section, std::string name, int value);
	ReturnValue writeString(std::string section, std::string name, std::string value);
private :
	bool isPertinentSection(std::string section, std::string string);
	bool isPertinentName(std::string name, std::string string);
	ReturnValue writeProfile(std::string section, std::string name, std::string value, std::string orginal_value, std::ifstream& input, std::ofstream& output);
	std::string	m_Filename;
};
#endif //_WRITE_PROFILE_H_
