/**
 * @file Test1.cpp
 * @date 2010/04/10 新規作成
 * @author
 *
 * Test1クラス
 */

#include <assert.h>
#include <cstdlib>
#include <iostream>
#include "Define.h"
#include "ConvertString.h"
#include "Test1.h"

/**
 * コンストラクタ
 */
Test1::Test1(){
}

/**
 * test関数
 */
ReturnValue Test1::run()
{
	assert( test1() == OK );
	std::cout << "Test1 finished" << std::endl;
	return OK;
}

ReturnValue Test1::test1()
{
	std::wstring	wconstant_string, wresult_string;
	std::string		constant_string, result_string;
	wconstant_string = L"abcdefg";
	constant_string = "abcdefg";
	ConvertString convert_string;

	result_string = convert_string.convertToNarrow(wconstant_string);
	wresult_string = convert_string.convertToWide(constant_string);
	if( result_string.compare(constant_string) != 0 ){
		return NG;
	}
	if( wresult_string.compare(wconstant_string) != 0 ){
		return NG;
	}

	return OK;
}

