/**
 * @file Test3.cpp
 * @date 2010/04/11 新規作成
 * @author
 *
 * Test3クラス
 */

#include <assert.h>
#include <iostream>
#include "Define.h"
#include "ReadIniFile.h"
#include "TIniFile.h"
#include "ConvertString.h"
#include "Test3.h"

/**
 * コンストラクタ
 */
Test3::Test3(){
}

/**
 * test関数
 */
ReturnValue Test3::run()
{
	test1();
	test2();
	std::cout << "Test3 finished" << std::endl;
	return OK;
}

ReturnValue Test3::test1()
{
	ReadIniFile	read_ini_file;
	TIniFile	ini_file;

	ini_file = read_ini_file.read("1.ini");
	assert(ini_file.getData().at(0).sectionName.compare("display_number") == 0);
	assert(ini_file.getData().at(0).parameter.at(0).name.compare("current") == 0);
	assert(ini_file.getData().at(0).parameter.at(0).value.compare("1") == 0);
	assert(ini_file.getData().at(1).sectionName.compare("setting_1") == 0);
	assert(ini_file.getData().at(1).parameter.at(0).name.compare("name") == 0);
	//assert(ini_file.getData().at(1).parameter.at(0).value.compare(L"自宅USB") == 0);
	assert(ini_file.getData().at(1).parameter.at(1).name.compare("command") == 0);
	assert(ini_file.getData().at(1).parameter.at(1).value.compare("gnome-terminal -x sleep 5") == 0);
	assert(ini_file.getData().at(1).parameter.at(2).name.compare("fbvnc") == 0);
	assert(ini_file.getData().at(1).parameter.at(2).value.compare("fbvnc -hw c700 -hideoverlays 192.168.129.1:0") == 0);
	assert(ini_file.getData().at(2).sectionName.compare("setting_2") == 0);
	assert(ini_file.getData().at(2).parameter.at(0).name.compare("name") == 0);
	//assert(ini_file.getData().at(2).parameter.at(0).value.compare("自宅無線") == 0);
	assert(ini_file.getData().at(2).parameter.at(1).name.compare("command") == 0);
	assert(ini_file.getData().at(2).parameter.at(1).value.compare("gnome-terminal -x sleep 5") == 0);
	assert(ini_file.getData().at(2).parameter.at(2).name.compare("fbvnc") == 0);
	assert(ini_file.getData().at(2).parameter.at(2).value.compare("fbvnc -hw c700 -hideoverlays 192.168.0.2:0") == 0);
	assert(ini_file.getData().at(3).sectionName.compare("setting_3") == 0);
	assert(ini_file.getData().at(3).parameter.at(0).name.compare("name") == 0);
	assert(ini_file.getData().at(3).parameter.at(0).value.compare("") == 0);
	assert(ini_file.getData().at(3).parameter.at(1).name.compare("command") == 0);
	assert(ini_file.getData().at(3).parameter.at(1).value.compare("") == 0);
	assert(ini_file.getData().at(3).parameter.at(2).name.compare("fbvnc") == 0);
	assert(ini_file.getData().at(3).parameter.at(2).value.compare("") == 0);
	assert(ini_file.getData().at(4).sectionName.compare("setting_4") == 0);
	assert(ini_file.getData().at(4).parameter.at(0).name.compare("name") == 0);
	assert(ini_file.getData().at(4).parameter.at(0).value.compare("") == 0);
	assert(ini_file.getData().at(4).parameter.at(1).name.compare("command") == 0);
	assert(ini_file.getData().at(4).parameter.at(1).value.compare("") == 0);
	assert(ini_file.getData().at(4).parameter.at(2).name.compare("fbvnc") == 0);
	assert(ini_file.getData().at(4).parameter.at(2).value.compare("") == 0);
	assert(ini_file.getData().at(5).sectionName.compare("setting_5") == 0);
	assert(ini_file.getData().at(5).parameter.at(0).name.compare("name") == 0);
	assert(ini_file.getData().at(5).parameter.at(0).value.compare("") == 0);
	assert(ini_file.getData().at(5).parameter.at(1).name.compare("command") == 0);
	assert(ini_file.getData().at(5).parameter.at(1).value.compare("") == 0);
	assert(ini_file.getData().at(5).parameter.at(2).name.compare("fbvnc") == 0);
	assert(ini_file.getData().at(5).parameter.at(2).value.compare("") == 0);

	return OK;
}

ReturnValue Test3::test2()
{
	ReadIniFile	read_ini_file;
	TIniFile	ini_file;

	ini_file = read_ini_file.read("2.ini");
	assert(ini_file.getData().size() == 0);

	return OK;
}

