/**
 * @file Test4.cpp
 * @date 2010/04/11 新規作成
 * @author
 *
 * Test4クラス
 */

#include <assert.h>
#include <iostream>
#include "Define.h"
#include "GetProfile.h"
#include "Test4.h"

/**
 * コンストラクタ
 */
Test4::Test4(){
}

/**
 * test関数
 */
ReturnValue Test4::run()
{
	test1();
	test2();
	std::cout << "Test4 finished" << std::endl;
	return OK;
}

ReturnValue Test4::test1()
{
	GetProfile	get_profile("1.ini");
	assert(get_profile.getInt("display_number", "current") == 1);
	//assert(get_profile.getString("setting_1", "name").compare("自宅USB") == 0);
	assert(get_profile.getString("setting_1", "command").compare("gnome-terminal -x sleep 5") == 0);
	assert(get_profile.getString("setting_1", "fbvnc").compare("fbvnc -hw c700 -hideoverlays 192.168.129.1:0") == 0);
	//assert(get_profile.getString("setting_2", "name").compare("自宅無線") == 0);
	assert(get_profile.getString("setting_2", "command").compare("gnome-terminal -x sleep 5") == 0);
	assert(get_profile.getString("setting_2", "fbvnc").compare("fbvnc -hw c700 -hideoverlays 192.168.0.2:0") == 0);
	assert(get_profile.getString("setting_3", "name").compare("") == 0);
	assert(get_profile.getString("setting_3", "command").compare("") == 0);
	assert(get_profile.getString("setting_3", "fbvnc").compare("") == 0);
	assert(get_profile.getString("setting_4", "name").compare("") == 0);
	assert(get_profile.getString("setting_4", "command").compare("") == 0);
	assert(get_profile.getString("setting_4", "fbvnc").compare("") == 0);
	assert(get_profile.getString("setting_5", "name").compare("") == 0);
	assert(get_profile.getString("setting_5", "command").compare("") == 0);
	assert(get_profile.getString("setting_5", "fbvnc").compare("") == 0);
	return OK;
}

ReturnValue Test4::test2()
{
	GetProfile	get_profile("1.ini");
	assert(get_profile.getInt("display_number", "current") == 1);
	//assert(get_profile.getString("setting_1", "name").compare("自宅USB") == 0);
	assert(get_profile.getString("setting_1", "command").compare("gnome-terminal -x sleep 5") == 0);
	assert(get_profile.getString("setting_1", "fbvnc").compare("fbvnc -hw c700 -hideoverlays 192.168.129.1:0") == 0);
	//assert(get_profile.getString("setting_2", "name").compare("自宅無線") == 0);
	assert(get_profile.getString("setting_2", "command").compare("gnome-terminal -x sleep 5") == 0);
	assert(get_profile.getString("setting_2", "fbvnc").compare("fbvnc -hw c700 -hideoverlays 192.168.0.2:0") == 0);
	assert(get_profile.getString("setting_3", "name").compare("") == 0);
	assert(get_profile.getString("setting_3", "command").compare("") == 0);
	assert(get_profile.getString("setting_3", "fbvnc").compare("") == 0);
	assert(get_profile.getString("setting_4", "name").compare("") == 0);
	assert(get_profile.getString("setting_4", "command").compare("") == 0);
	assert(get_profile.getString("setting_4", "fbvnc").compare("") == 0);
	assert(get_profile.getString("setting_5", "name").compare("") == 0);
	assert(get_profile.getString("setting_5", "command").compare("") == 0);
	assert(get_profile.getString("setting_5", "fbvnc").compare("") == 0);
	return OK;
}

